### Virtual Method

# EBackend DataFactory complete_open

#### Declaration [src]

    void
    complete_open (
      EDataFactory* data_factory,
      GDBusMethodInvocation* invocation,
      const gchar* object_path,
      const gchar* bus_name,
      const gchar* extension_name
    )

#### Description

No description available.

#### Parameters

`invocation`

  Type: `GDBusMethodInvocation`

  No description available.

  The data is owned by the caller of the method.

`object_path`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`bus_name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`extension_name`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.